{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>

  <meta charset="UTF-8">
  <title>Gestión Comercial {% block title %} {% endblock %}</title>
  <link href="{% static 'vendor/font-awesome/css/font-awesome.min.css' %}"
        rel="stylesheet">
  <!-- Bootstrap -->
  <link href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}"
        rel="stylesheet"
        media="screen"/>
  <!-- Css Slider -->
  <link href="{% static 'css/sidebar.css' %}" rel="stylesheet"
        media="screen"/>
  <!-- Css Base -->
  <link rel="stylesheet" type="text/css" href="{% static 'css/base.css' %}">
  <link rel="stylesheet" type="text/css"
        href="{% static 'vendor/select2/css/select2.min.css' %}">
  <link rel="stylesheet" href="{% static 'vendor/bootstrap/css/bootstrap-toggle.min.css' %}">
  {% block extra_style %}{% endblock %}
</head>


<body hoe-navigation-type="vertical" hoe-nav-placement="left"
      theme-layout="wide-layout" theme-bg="bg1">
<div id="hoeapp-wrapper" class="hoe-hide-lpanel" hoe-device-type="desktop">
  <header id="hoe-header" hoe-lpanel-effect="shrink">
    <span class="hoe-sidebar-toggle"><a href="#"></a></span>
  </header>
  <div id="hoeapp-container" hoe-color-type="lpanel-bg2"
       hoe-lpanel-effect="shrink">

    <aside id="hoe-left-panel" hoe-position-type="absolute">

      <div class="container-logo">
        <div class="media-logo">
          <img class="img-logo " src="{% static 'img/logo_ts.png' %}" style="border:2px solid black;
          background-color: white;">
        </div>
      </div>
      <div class="profile-box">
        <div class="media">

          <div class="media-body" style="text-align:center;">
            <h4 class="media-heading">Sistema de Gestión
              Comercial</h4>
          </div>
        </div>
      </div>
      <div class="profile-box">
        <div class="media">
          <div class="media-body text-center">
            <h5 class="media-heading mb-0">
              <span id="nav_nombre_user"> {{ request.user.staff.full_name }} </span>
            </h5>
            <p class="mb-0">
              <img class="img-circle " src="{% static 'img/account.png' %}">
            </p>
            <span><small>{{ current_role }}</small></span>
          </div>
        </div>
      </div>
      <ul class="nav panel-list" style="display: block">
        {% if 'gesco.clients-list' in permissions %}
        <li class="hoe-has-menu">
          <a href="{% url 'clients:client-list'%}">
            <i class="fa fa-child"></i>
            <span class="menu-text">Clientes</span>
            <span class="selected"></span>
          </a>
        </li>
        {% endif %}
        {% if 'gesco.so-list' in permissions %}
        <li class="hoe-has-menu">
          <a href="{% url 'sale_opportunity:saleopportunity-list'%}">
            <i class="fa fa-handshake-o"></i>
            <span class="menu-text">Oportunidades de Venta</span>
            <span class="selected"></span>
          </a>
        </li>
        {% endif %}
        {% if 'gesco.so-dashboard' in permissions %}
        <li class="hoe-has-menu">
          <a href="{% url 'sale_opportunity:ov-boards' %}">
            <i class="fa fa-calendar"></i>
            <span class="menu-text">Dashboard</span>
            <span class="selected"></span>
          </a>
        </li>
        {% endif %}
        {% if 'gesco.so-files' in permissions %}
        <li class="hoe-has-menu">
          <a href="{% url 'sale_opportunity:so-filter-files' %}">
            <i class="fa fa-files-o"></i>
            <span class="menu-text">Gestor de Archivos</span>
            <span class="selected"></span>
          </a>
        </li>
        {% endif %}


        <li style="bottom:50px;position: absolute;width: 100%;" class="hoe-has-menu">
          <a id="nav_cerrar_sesion" type="button" href="{% url 'security:logout' %}">
            <i class="fa fa-sign-out"></i>
            <span class="menu-text">Cerrar Sesion</span>
            <span class="selected"></span>
          </a>
        </li>


        <li class="hoe-has-menu" style="width: 100%;" hidden="True">
          <a href="javascript:void(0)">
            <i class="fa fa-users"></i>
            <span class="menu-text">Cambiar Rol</span>
            <span class="selected"></span>
          </a>
          <ul class="hoe-sub-menu">
              <form method="POST" action="{% url 'security:change-rol' %}" style="text-align: center;">{% csrf_token %}
                  <div class="form-group">
                    <select name="role" class="form-control">
                      {% for role in user_roles %}
                      <option value="{{ role.id }}" {% if role == current_role %}selected{% endif %}>{{ role.name }}</option>
                      {% endfor %}
                    </select>
                  </div>
                  <button type="submit" class="btn btn-success" style="margin-bottom: 18px">Cambiar de rol</button>
              </form>
          </ul>
        </li>
        {% if 'gesco.so-effectiveness-indicator' in permissions %}
        <li class="hoe-has-menu">
            <a href="javascript:void(0)">
              <i class="fa fa-file-pdf-o"></i>
              <span class="menu-text">Indicadores</span>
              <span class="selected"></span>
            </a>
            <ul class="hoe-sub-menu">
              <li>
                <a href="{% url 'sale_opportunity:filter-sale-managment' %}">
                  <span class="menu-text">Gestion de ventas</span>
                  <span class="selected"></span>
                </a>
              </li>
              <li>
                <a href="{% url 'sale_opportunity:filter-variation-new' %}">
                  <span class="menu-text">Variacion de nuevos productos</span>
                  <span class="selected"></span>
                </a>
              </li>
            </ul>
        </li>
        {% endif %}
      </ul>
    </aside>
    <section id="main-content">
      <div id="wrapper">
        <!-- Page Content -->
        <div id="page-content-wrapper">
          {% block content %}
          {% endblock %}
        </div>
      </div>
    </section>
  </div>
</div>
<!-- Jquery -->
<script src="{% static 'vendor/jquery/js/jquery-3.3.1.js' %}"></script>
<script src="{% static 'vendor/jquery/js/jquery.formset.js' %}"></script>
<script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>
<script src="{% static 'js/sidebar.js' %}"></script>
<script src="{% static 'vendor/select2/js/select2.full.min.js' %}"></script>
<script src="{% static 'js/navbar.js' %}"></script>
<script src="https://unpkg.com/ionicons@4.3.0/dist/ionicons.js"></script>
<script src="{% static 'vendor/bootstrap/js/bootstrap-toggle.min.js' %}"></script>
<!-- Menu Toggle Script -->
<script>
  $("#menu-toggle").click(function (e) {
    e.preventDefault();
    $("#wrapper").toggleClass("toggled");
  });
  $("#menu-toggle-right").click(function (e) {
    e.preventDefault();
    $("#wrapper").toggleClass("toggled-right");
  });
</script>
{% block bottom_scripts %}
{% endblock %}
</body>
</html>